> ## Name

> cgSetPassProgramParameters - set uniform parameters specified via a compile statement

> ## Synopsis

>     #include <Cg/cg.h>

>     void cgSetPassProgramParameters( CGprogram program );

> ## Parameters

> program
>   The program

> ## Return Values

> None.

> ## Description

> Given the handle to a program specified in a pass in a CgFX file, cgSetPassProgramParameters sets the values of the program's uniform parameters given the expressions in the compile statement in the CgFX file.

> (This entrypoint is normally only needed by state managers and doesn't need to be called by users.)

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

> ## History

> cgSetPassProgramParameters was introduced in Cg 1.4.

> ## See Also

> cgCreateEffect, cgCreateEffectFromFile